create procedure rrhh.sp_guardarDetalleBono
@numId int,
@numBono int,
@numTipoAsignacion int,
@numAsignacion varchar(50),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into rrhh.det_bono(idBono,idTipoAsignacion,idAsignacion,idUsuario) values(@numBono,@numTipoAsignacion,@numAsignacion,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;
			update rrhh.det_bono set idTipoAsignacion = @numTipoAsignacion,idAsignacion = @numAsignacion,fechaModificacion = getdate() where id = @numId;
		end

	set @dbRespuesta = 'success';
end